com.amazonaws.services.lambda.model

## Class DeleteFunctionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.DeleteFunctionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DeleteFunctionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DeleteFunctionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteFunctionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionName()` The Lambda function to delete.
`String` `getQualifier()` Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version.
`int` `hashCode()`
`void` `setFunctionName(String functionName)` The Lambda function to delete.
`void` `setQualifier(String qualifier)` Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteFunctionRequest` `withFunctionName(String functionName)` The Lambda function to delete.
`DeleteFunctionRequest` `withQualifier(String qualifier)` Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteFunctionRequest

    public DeleteFunctionRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The Lambda function to delete.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function to delete.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### getFunctionName

    public String getFunctionName()

The Lambda function to delete.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  The Lambda function to delete.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

#### withFunctionName

    public DeleteFunctionRequest withFunctionName(String functionName)

The Lambda function to delete.

You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Parameters:
  `functionName` - The Lambda function to delete.

  You can specify the function name (for example, `Thumbnail`) or you can specify Amazon Resource Name (ARN) of the function (for example, `arn:aws:lambda:us-west-2:account-id:function:ThumbNail`). If you are using versioning, you can also provide a qualified function ARN (ARN that is qualified with function version or alias name as suffix). AWS Lambda also allows you to specify only the function name with the account ID qualifier (for example, `account-id:Thumbnail`). Note that the length constraint applies only to the ARN. If you specify only the function name, it is limited to 64 character in length.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setQualifier

    public void setQualifier(String qualifier)

Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version. If the function version has one or more aliases pointing to it, you will get an error because you cannot have aliases pointing to it. You can delete any function version but not the `$LATEST`, that is, you cannot specify `$LATEST` as the value of this parameter. The `$LATEST` version can be deleted only when you want to delete all the function versions and aliases.

You can only specify a function version, not an alias name, using this parameter. You cannot delete a function version using its alias.

If you don't specify this parameter, AWS Lambda will delete the function, including all of its versions and aliases.

Parameters:
  `qualifier` - Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version. If the function version has one or more aliases pointing to it, you will get an error because you cannot have aliases pointing to it. You can delete any function version but not the `$LATEST`, that is, you cannot specify `$LATEST` as the value of this parameter. The `$LATEST` version can be deleted only when you want to delete all the function versions and aliases.

  You can only specify a function version, not an alias name, using this parameter. You cannot delete a function version using its alias.

  If you don't specify this parameter, AWS Lambda will delete the function, including all of its versions and aliases.

#### getQualifier

    public String getQualifier()

Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version. If the function version has one or more aliases pointing to it, you will get an error because you cannot have aliases pointing to it. You can delete any function version but not the `$LATEST`, that is, you cannot specify `$LATEST` as the value of this parameter. The `$LATEST` version can be deleted only when you want to delete all the function versions and aliases.

You can only specify a function version, not an alias name, using this parameter. You cannot delete a function version using its alias.

If you don't specify this parameter, AWS Lambda will delete the function, including all of its versions and aliases.

Returns:
  Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version. If the function version has one or more aliases pointing to it, you will get an error because you cannot have aliases pointing to it. You can delete any function version but not the `$LATEST`, that is, you cannot specify `$LATEST` as the value of this parameter. The `$LATEST` version can be deleted only when you want to delete all the function versions and aliases.

  You can only specify a function version, not an alias name, using this parameter. You cannot delete a function version using its alias.

  If you don't specify this parameter, AWS Lambda will delete the function, including all of its versions and aliases.

#### withQualifier

    public DeleteFunctionRequest withQualifier(String qualifier)

Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version. If the function version has one or more aliases pointing to it, you will get an error because you cannot have aliases pointing to it. You can delete any function version but not the `$LATEST`, that is, you cannot specify `$LATEST` as the value of this parameter. The `$LATEST` version can be deleted only when you want to delete all the function versions and aliases.

You can only specify a function version, not an alias name, using this parameter. You cannot delete a function version using its alias.

If you don't specify this parameter, AWS Lambda will delete the function, including all of its versions and aliases.

Parameters:
  `qualifier` - Using this optional parameter you can specify a function version (but not the `$LATEST` version) to direct AWS Lambda to delete a specific function version. If the function version has one or more aliases pointing to it, you will get an error because you cannot have aliases pointing to it. You can delete any function version but not the `$LATEST`, that is, you cannot specify `$LATEST` as the value of this parameter. The `$LATEST` version can be deleted only when you want to delete all the function versions and aliases.

  You can only specify a function version, not an alias name, using this parameter. You cannot delete a function version using its alias.

  If you don't specify this parameter, AWS Lambda will delete the function, including all of its versions and aliases.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteFunctionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`